#
# Autogenerated by make-gridsite-spec 
#
# You should modify  make-gridsite-spec  and rebuild RPM with  make rpm
# rather than editing this spec file
#
Name: gridsite
Version: 2.2.0
# This next piece of .spec/sed magic puts the build OS version in the release
Release: %(if [ "1" ] ; then echo 1 ; else echo '1' ; fi)%{?dist}
Summary: mod_gridsite module for Apache httpd
License: Modified BSD
Group: System Environment/Daemons
Source: %{name}-%{version}.src.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
URL: http://www.gridsite.org/
Vendor: GridPP
BuildRequires: libxml2-devel%{?_isa},httpd-devel%{?_isa},openssl-devel%{?_isa},pkgconfig
BuildRequires: doxygen,gsoap-devel
BuildRequires: canl-c-devel%{?_isa}
%if %{?fedora}%{!?fedora:0} >= 10 || %{?rhel}%{!?rhel:0} >= 6
BuildRequires:  libcurl-devel%{?_isa}
%else
BuildRequires:  curl-devel%{?_isa}
%endif
BuildRequires: libtool
Packager: Andrew McNab <Andrew.McNab@manchester.ac.uk>
Provides: gridsite-apache = %{version}-%{release}
Obsoletes: gridsite-apache < %{version}-%{release}
Provides: gridsite-services = %{version}-%{release}
Obsoletes: gridsite-services < %{version}-%{release}

%description
GridSite adds GSI, VOMS and GACL support to Apache 2.0 (mod_gridsite),
a library for manipulating these technologies (libgridsite), and CGI
programs for interactive management of HTTP(S) servers (gridsite-admin.cgi)

This package contains Apache module, CGI binaries, and GridSite WS delegation
service.

See http://www.gridsite.org/ for details.

%package libs
Group: Development/Libraries
Summary: GridSite shared library and core documentation
Obsoletes: gridsite-shared <= 2.2.0
Provides: gridsite-shared = %{version}-%{release}

%description libs
GridSite shared library and core documentation

See http://www.gridsite.org/ for details.

%package devel
Group: Development/Libraries
Summary: GridSite .a libraries and .h headers
Requires: gridsite-libs%{?_isa} = %{version}

%description devel
GridSite development libraries

See http://www.gridsite.org/ for details.

%package commands
Group: Applications/Internet
Summary: HTTP(S) read/write client and other GridSite commands
Requires: curl

%description commands
htcp is a client to fetch files or directory listings from remote
servers using HTTP or HTTPS, or to put or delete files or directories
onto remote servers using HTTPS. htcp is similar to scp(1), but uses
HTTP/HTTPS rather than ssh as its transfer protocol.

See http://www.gridsite.org/ for details.

%prep

%setup -q

%build
cd src
CFLAGS="%{optflags}" LDFLAGS="%{?__global_ldflags}" make prefix=%{_prefix}

CFLAGS="%{optflags}" LDFLAGS="%{?__global_ldflags}" make prefix=%{_prefix} gridsite-delegation.cgi htproxyput


%install
rm -rf $RPM_BUILD_ROOT

cd src

make install prefix=%{_prefix} libdir=%{_lib} DESTDIR=$RPM_BUILD_ROOT
rm -f $RPM_BUILD_ROOT/%{_libdir}/*.a

make install-ws prefix=%{_prefix} libdir=%{_lib} DESTDIR=$RPM_BUILD_ROOT
%clean
rm -rf $RPM_BUILD_ROOT

%post libs
if [ "$UID" = "0" ] ; then
 /sbin/ldconfig
fi

%postun libs
if [ "$UID" = "0" ] ; then
 /sbin/ldconfig
fi

%files
%attr(-, root, root) %{_prefix}/share/man/man8/mod_gridsite.8.gz
%attr(-, root, root) %{_prefix}/%{_lib}/httpd/modules/mod_gridsite.so
%attr(-, root, root) %{_prefix}/sbin/real-gridsite-admin.cgi
%attr(-, root, root) %{_prefix}/sbin/gridsite-delegation.cgi
%attr(-, root, root) %{_prefix}/share/man/man8/gridsite-delegation.8.gz
%attr(-, root, root) %{_prefix}/share/doc/gridsite-2.2/delegation-1.1.0.wsdl
%attr(-, root, root) %{_prefix}/share/doc/gridsite-2.2/gridsite-delegation.8

%files libs
%attr(-, root, root) %{_prefix}/share/doc/gridsite-2.2
%attr(-, root, root) %{_prefix}/%{_lib}/libgridsite.so.2
%attr(-, root, root) %{_prefix}/%{_lib}/libgridsite.so.2.*
%attr(-, root, root) %{_prefix}/%{_lib}/libgridsite_globus.so.2
%attr(-, root, root) %{_prefix}/%{_lib}/libgridsite_globus.so.2.*
%attr(-, root, root) %{_prefix}/%{_lib}/libgridsite_nossl.so.2
%attr(-, root, root) %{_prefix}/%{_lib}/libgridsite_nossl.so.2.*

%files devel
%attr(-, root, root) %{_prefix}/include/gridsite.h
%attr(-, root, root) %{_prefix}/include/gridsite-gacl.h
%attr(-, root, root) %{_prefix}/%{_lib}/libgridsite.so
%attr(-, root, root) %{_prefix}/%{_lib}/libgridsite_globus.so
%attr(-, root, root) %{_prefix}/%{_lib}/libgridsite_nossl.so
%attr(-, root, root) %{_prefix}/%{_lib}/pkgconfig/*.pc

%files commands
%attr(-, root, root) %{_prefix}/bin/htcp
%attr(-, root, root) %{_prefix}/bin/htls
%attr(-, root, root) %{_prefix}/bin/htll
%attr(-, root, root) %{_prefix}/bin/htrm
%attr(-, root, root) %{_prefix}/bin/htmkdir
%attr(-, root, root) %{_prefix}/bin/htmv
%attr(-, root, root) %{_prefix}/bin/htping
%attr(-, root, root) %{_prefix}/bin/htfind
%attr(-, root, root) %{_prefix}/bin/urlencode
%attr(-, root, root) %{_prefix}/bin/findproxyfile
%attr(-, root, root) %{_prefix}/share/man/man1/htcp.1.gz
%attr(-, root, root) %{_prefix}/share/man/man1/htrm.1.gz
%attr(-, root, root) %{_prefix}/share/man/man1/htls.1.gz
%attr(-, root, root) %{_prefix}/share/man/man1/htll.1.gz
%attr(-, root, root) %{_prefix}/share/man/man1/htmkdir.1.gz
%attr(-, root, root) %{_prefix}/share/man/man1/htmv.1.gz
%attr(-, root, root) %{_prefix}/share/man/man1/htping.1.gz
%attr(-, root, root) %{_prefix}/share/man/man1/htfind.1.gz
%attr(-, root, root) %{_prefix}/share/man/man1/urlencode.1.gz
%attr(-, root, root) %{_prefix}/share/man/man1/findproxyfile.1.gz
%package service-clients
Group: Applications/Internet
Summary: GridSite WS htproxyput
Requires: curl

%description service-clients
GridSite WS delegation client, htproxyput

See http://www.gridsite.org/ for details.

%files service-clients
%attr(-, root, root) %{_prefix}/bin/htproxyput
%attr(-, root, root) %{_prefix}/bin/htproxydestroy
%attr(-, root, root) %{_prefix}/bin/htproxytime
%attr(-, root, root) %{_prefix}/bin/htproxyunixtime
%attr(-, root, root) %{_prefix}/bin/htproxyrenew
%attr(-, root, root) %{_prefix}/bin/htproxyinfo
%attr(-, root, root) %{_prefix}/share/man/man1/htproxyput.1.gz
%attr(-, root, root) %{_prefix}/share/man/man1/htproxydestroy.1.gz
%attr(-, root, root) %{_prefix}/share/man/man1/htproxytime.1.gz
%attr(-, root, root) %{_prefix}/share/man/man1/htproxyunixtime.1.gz
%attr(-, root, root) %{_prefix}/share/man/man1/htproxyrenew.1.gz
%attr(-, root, root) %{_prefix}/share/man/man1/htproxyinfo.1.gz
%attr(-, root, root) %{_prefix}/share/doc/gridsite-2.2/htproxyput.1
%attr(-, root, root) %{_prefix}/share/doc/gridsite-2.2/htproxydestroy.1
%attr(-, root, root) %{_prefix}/share/doc/gridsite-2.2/htproxytime.1
%attr(-, root, root) %{_prefix}/share/doc/gridsite-2.2/htproxyunixtime.1
%attr(-, root, root) %{_prefix}/share/doc/gridsite-2.2/htproxyrenew.1
%attr(-, root, root) %{_prefix}/share/doc/gridsite-2.2/htproxyinfo.1

%changelog
* Mon Dec 02 2013 autobuild@emian.zcu.cz - 2.2.0-1
- automatically generated package
